searchNodes=[{"doc":"Documentation for WiseGPTEx . This module provides functions to obtain the best completion from the OpenAI models (default: &quot;gpt-3.5-turbo&quot;) using the OpenAI API completions endpoint ( https://api.openai.com/v1/chat/completions ). The get_best_completion/2 and get_best_completion_with_resolver/2 functions take a question and an optional list of options to configure the API request. get_best_completion_with_resolver/2 also involves a secondary step to resolve the best completion among the options, which leads to an additional API call for a more accurate response. Installation Add wise_gpt_ex to your list of dependencies in mix.exs : def deps do [ { :wise_gpt_ex , &quot;~&gt; 0.2.0&quot; } ] end Add the OpenAI API key to your configuration file (e.g., config/config.exs): config :wise_gpt_ex , :openai_api_key , &quot;your_openai_api_key&quot; Examples Basic usage: iex&gt; WiseGPTEx . get_best_completion ( &quot;What is the capital of France?&quot; ) { :ok , &quot;Paris&quot; } iex&gt; WiseGPTEx . get_best_completion_with_resolver ( &quot;What is the capital of France?&quot; ) { :ok , &quot;Paris&quot; } Using all available options: iex&gt; opts = [ model : &quot;gpt-4&quot; , temperature : 0.7 , num_completions : 5 , timeout : 300_000 ] iex&gt; WiseGPTEx . get_best_completion ( &quot;What is the capital of France?&quot; , opts ) { :ok , &quot;Paris&quot; } iex&gt; WiseGPTEx . get_best_completion_with_resolver ( &quot;What is the capital of France?&quot; , opts ) { :ok , &quot;Paris&quot; } Note that the examples for the get_best_completion_with_resolver/2 function are similar to get_best_completion/2 . This is because the difference between these two functions is in the method of how they select the best completion, not in their usage or the nature of their inputs or outputs. The get_best_completion_with_resolver/2 function will perform an additional API call to get a more accurate completion, which can be beneficial for complex or ambiguous queries. Options The following options can be passed to the get_best_completion/2 and get_best_completion_with_resolver/2 functions: :model - The name of the model to use (default: &quot;gpt-3.5-turbo&quot;). All OpenAI models are supported. :temperature - Controls the randomness of the model's output. Higher values result in more diverse responses (default: 0.5). :num_completions - The number of completions to generate (default: 3). :timeout - The maximum time in milliseconds to wait for a response from the OpenAI API (default: 300_000 ms, or 5 minutes).","ref":"WiseGPTEx.html","title":"WiseGPTEx","type":"module"},{"doc":"get_best_completion/2 attempts to answer a given question using OpenAI's completion endpoint. Params: question : a binary string containing the question to be answered opts : a keyword list of options to configure the API request Returns: {:ok, binary()} : the best completion for the given question {:error, any()} : an error message in the case of failure Example: iex&gt; WiseGPTEx . get_best_completion ( &quot;What is the capital of France?&quot; ) { :ok , &quot;Paris&quot; } Options: The function accepts the following options: :model - The name of the model to use (default: &quot;gpt-3.5-turbo&quot;). All OpenAI models are supported. :temperature - Controls the randomness of the model's output. Higher values result in more diverse responses (default: 0.5). :num_completions - The number of completions to generate (default: 3). :timeout - The maximum time in milliseconds to wait for a response from the OpenAI API (default: 300_000 ms, or 5 minutes).","ref":"WiseGPTEx.html#get_best_completion/2","title":"WiseGPTEx.get_best_completion/2","type":"function"},{"doc":"get_best_completion_with_resolver/2 is similar to get_best_completion/2 but uses a secondary step to resolve the best completion among the options. This function will perform an additional API call to get a more accurate completion, which can be beneficial for complex or ambiguous queries. Params: question : a binary string containing the question to be answered opts : a keyword list of options to configure the API request Returns: {:ok, binary()}: the best completion for the given question - : an error message in the case of failure Example: iex&gt; WiseGPTEx . get_best_completion_with_resolver ( &quot;What is the capital of France?&quot; ) { :ok , &quot;Paris&quot; } Options: The function accepts the following options: :model - The name of the model to use (default: &quot;gpt-3.5-turbo&quot;). All OpenAI models are supported. :temperature - Controls the randomness of the model's output. Higher values result in more diverse responses (default: 0.5). - :num_completions - The number of completions to generate (default: 3). - :timeout` - The maximum time in milliseconds to wait for a response from the OpenAI API (default: 300_000 ms, or 5 minutes).","ref":"WiseGPTEx.html#get_best_completion_with_resolver/2","title":"WiseGPTEx.get_best_completion_with_resolver/2","type":"function"},{"doc":"Documentation for WiseGPTEx.OpenAIHTTPClient . This module contains functions to interact with the OpenAI API to get completions with reasoning and determine the best completion. It is used internally by the WiseGPTEx module and is not intended to be called directly by users. The main functions in this module are: get_completions_with_reasoning/2 - Retrieves completions with reasoning from the OpenAI API based on a given message and an optional list of options. get_best_completion/3 - Determines the best completion from a list of completions and an optional list of options.","ref":"WiseGPTEx.OpenAIHTTPClient.html","title":"WiseGPTEx.OpenAIHTTPClient","type":"module"},{"doc":"","ref":"WiseGPTEx.OpenAIHTTPClient.html#get_best_completion/3","title":"WiseGPTEx.OpenAIHTTPClient.get_best_completion/3","type":"function"},{"doc":"","ref":"WiseGPTEx.OpenAIHTTPClient.html#get_completions_with_reasoning/2","title":"WiseGPTEx.OpenAIHTTPClient.get_completions_with_reasoning/2","type":"function"},{"doc":"","ref":"WiseGPTEx.OpenAIHTTPClient.html#get_resolver_completion/4","title":"WiseGPTEx.OpenAIHTTPClient.get_resolver_completion/4","type":"function"}]